Re: [Homebrew/homebrew-cask] Fix for `installed?` being deprecated (#85846)

From: notifications@github.com
Domain: IP info github.com
MX-server: IP info out-20.smtp.github.com
Size: 3179 Bytes
Create: 2020-07-13
Update: 2020-07-13
Score: 0
Safe: Yes

Outbound domains: github.com |

CI fails here: https://github.com/SeekingMeaning/homebrew-cask/blob/f46e2da/cmd/brewcask-ci.rb#L114

cask_and_formula_dependencies = installer.missing_cask_and_formula_dependencies

brew calls installed? here: https://github.com/Homebrew/brew/blob/4e67b21/Library/Homebrew/cask/installer.rb#L329-L334

def missing_cask_and_formula_dependencies
  collect_cask_and_formula_dependencies.reject do |cask_or_formula|
    (cask_or_formula.try(:installed?) || cask_or_formula.try(:any_version_installed?)) &&
      (cask_or_formula.respond_to?(:opt_linked?) ? cask_or_formula.opt_linked? : true)
  end
end


You are receiving this because you are subscribed to this thread.
Reply to this email directly, view it on GitHub, or unsubscribe.

Want to protect your real email from messages like this? Use TempM email and be more secure on the internet.